Creates a new mandate

Creates a new mandate. The newly created resource can be referenced by the URI given by a Location header field in the response.

Body Params
string
length between 32 and 32

The unique identifier of the connector this object belongs to. Optional, unless the associated merchant has more than one matching connector configured for the determined payment scheme.

string
required
length between 32 and 32

The unique identifier of the bank account this mandate object belongs to. Mandatory, unless a new bank account to create is given.

bankAccount
object
required
string
length between 0 and 32

The Direct Debit payment scheme this mandate and all dependent payments belong to. Optional.
Will be derived from linked bank account if not filled. Possible values:

  • SEPA - Single Euro Payments Area
  • BACS - Bankers Automated Clearing Services
string
length between 0 and 35

The unique reference of this mandate. Length and format depend on the regulations defined by the determined payment scheme. Optional. If this field is not filled in, SEPAexpress generates a unique reference that meets the requirements of the determined payment scheme.

string
length between 0 and 32

The type of this mandate. Optional. Possible values:

  • single - The mandate can be used for a single payment. It will expire after the first payment or after a period of dormancy as defined by the payment scheme.
  • recurring - The mandate can be used for an unlimited number of payments. It will expire after a period of dormancy as defined by the payment scheme. This is the default.
string

The approvalBy specifies the way the customer approves the mandate. Optional. Possible values:

  • click - Click mandate. The mandate is approved by ticking a check box and/or clicking an approve button on the web page.
  • email - Email mandate. The customer receives an email containing a secret Tan or a link to click.
    The field emailAddress inside of the customer object is required to contain a valid email address to sign via email.
  • sms - SMS mandate. The customer receives a sms containing a secret Tan. The field cellphone inside of the customer object is required to contain a valid cellphone number to sign via sms.
  • ais - Account Information Service mandate. The mandate is approved by using a PSD2 AIS account check via the online banking of the customer's bank. When the amount and currency are provided, an additional balance check is executed.
  • dynamic - Dynamic mandate management. The mandate type is managed by SEPAexpress based on configured parameters.
string
length between 0 and 32

The unique idempotency key of this entity creation. Optional, but highly recommended to use. When given, SEPAexpress checks whether an entity of this type with the specified idempotency key already exists, and fails the creation if a duplicate entity is found. The ID of the conflicting entity can be found in the error message.

date-time | null

The field ApprovalDate indicates when the mandate was signed. Optional.

string
required
length between 3 and 3

The ISO 4217 currency code.
Note: This field is only required when creating an AIS mandate and an additional balance check should be executed. Must be sent in combination with the field amount!

int32 | null
required
≥ 0

The field amount specifies the amount the account should be checked for when creating an AIS mandate. Specified in the smallest subunit of the used currency, e.g. cents for EUR.
Note: This field is only required when creating an AIS mandate and an additional balance check should be executed. Must be sent in combination with the field currency code!

string
length between 0 and 255

Memo for free use by the PSP.

Responses

Language
Credentials
Bearer
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json